package org.iri_research.renkan.models;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public enum RenkanSessionModeratorState {
    INSTANCE;

    private Map<String, String> usersActivationMap = new HashMap<String, String>();
    private Map<String, List<String>> projectsActivationMap = new HashMap<String, List<String>>();
    private Map<String, List<RosterUser>> projectsUsersList = new HashMap<String, List<RosterUser>>();

    public Map<String, String> getUsersActivationMap() {
        return usersActivationMap;
    }

    public Map<String, List<String>> getProjectsActivationMap() {
        return projectsActivationMap;
    }

    public Map<String, List<RosterUser>> getProjectsUsersList() {
        return projectsUsersList;
    }

}
